POST /api/Fee/GetByKind
Returns all Fees of a specific FeeKind.
POST
/api/Fee/GetByKindcurl -X POST "/api/Fee/GetByKind" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": 1
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataenum<integer>1=Per Unit (€/MWh), 2=Percentage of Value
One of:12
Response
application/json
A list of Fees filtered by kind.
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.BackOffice.FeeDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"name": "string",
"kind": 1,
"kindName": "string",
"vat": 0,
"brokerFee": true
}
]
}